<?php
declare(strict_types=0);

if(empty($zwidth)){$zwidth=100;}
if(empty($zsize)){$zsize=4;}
if(empty($zobj)){$zobj=3;}
// if(empty($zbrt)){$zbrt=0;}
if($zbrt>100){$zbrt=100;}


$domd0 = new DOMDocument();
     $domd0->encoding = 'utf-8';
     $domd0->xmlVersion = '1.0';
     $domd0->formatOutput = true;
$elem0=$domd0;
if(!empty($zdom)){$domd0=$zdom;}
if(!empty($zele)){$elem0=$zele;}

// $zlabel='';
$zlabel=strtoupper($zlabel);

{
     if($zobj==1)
     {
          $element=$elem0->appendChild($domd0->createElement("div"," "));
               $element->setAttribute("style","clear:both;");
     }
     
     if($zobj>1)
     {
          $element=$elem0->appendChild($domd0->createElement("hr"," "));
               $element->setAttribute("style","clear:both;margin-bottom:0.5em;margin-top:0em;");
               $element->setAttribute("noshade"," ");
               $element->setAttribute("color",$empr0['empr_color1']);
               $element->setAttribute("size",$zsize);
               $element->setAttribute("width",$zwidth."%");
     }

     if(!empty($zlabel))
     {
          $element=$elem0->appendChild($domd0->createElement("div",$zlabel));
               $element->setAttribute("size120","");
               $element->setAttribute("bold","");
               $element->setAttribute("style","clear:both;");
          
     }
     
     for($idxbr=0; $idxbr<$zbrt; $idxbr++)
     {$element=$elem0->appendChild($domd0->createElement("br"));}
     
}


if(empty($zdom))
{
     if($zxml==1){$zxml=$domd0->saveXML();}
     else{echo $domd0->saveXML();}
}     

include('ele_reset.php');
?>
